﻿//////////////////////////////////////////////
// MathsLib.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "../../../Dll/DllDefines.h"

// nkMemory
#include <NilkinsMemory/Containers/StringView.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT MathsLib final
	{
		private :

			// Constructor, destructor
			MathsLib () = delete ;
			~MathsLib () = delete ;

		public :

			// Sources
			static nkMemory::StringView nkSafeAcos () ;
			static nkMemory::StringView nkIsNan () ;
			static nkMemory::StringView nkComputeLinearDepth () ;
			static nkMemory::StringView nkMathsConstants () ;
	} ;
}