﻿//////////////////////////////////////////////
// Constants.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMemory
#include <NilkinsMemory/Containers/String.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkImagesWrap
{
	struct Constants final
	{
		// Namespaces
		inline static const nkMemory::String NAMESPACE = "nkImages" ;

		// UserTypes
		// Data
		inline static const nkMemory::String IMAGE = NAMESPACE + ".Image" ;
		inline static const nkMemory::String IMAGE_VIEW = NAMESPACE + ".ImageView" ;

		// Jpg
		inline static const nkMemory::String JPG_ENCODER = NAMESPACE + ".JpgEncoder" ;

		// Utils
		inline static const nkMemory::String COMPOSITE_ENCODER = NAMESPACE + ".CompositeEncoder" ;
	} ;
}