﻿//////////////////////////////////////////////
// ImageViewWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkImagesWrap
{
	class DLL_ASTRAEUS_EXPORT ImageViewWrapper final
	{
		private :

			// Constructor, destructor
			ImageViewWrapper () = delete ;
			~ImageViewWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks
			
	} ;
}